Subject: Re: bug#44783: 28.0.50; wish for eww: include gopher and gemini links

From: Jean Louis <[email-masked]>
Date: Sat, 21 Nov 2020 22:59:19 +0300

* Eli Zaretskii <[email-masked]> [2020-11-21 22:53]:
> > Date: Sat, 21 Nov 2020 22:41:29 +0300
> > From: Jean Louis <[email-masked]>
> > 
> > 
> > It would be good to handle other links from eww such as gopher and
> > gemini
> > 
> > - defcustom for function to launch gemini client, could be Emacs
> >   package as elpher, preferred or could be external program
> > 
> > - defcustom for function to launch gopher client, could be Emacs
> >   package like elpher, preferred, or could be external program
> 
> Doesn't browse-url already support that?

I see unknown url scheme gopher and trying to open gopher. If unknown
it should not even try opening it.

But gopher and gemini are well known protocols and Emacs is one of its
browsers. Elpher package recognizes WWW and redirects to eww, so eww
should be able to redirect to something else such as elpher or
external gopher and gemini browsers.